function [ mass ] = CONC( time2 )

%Emissions GHG concentration using impulse response functions

    % mass(1) = mass of CO2 (Mt)

    % mass(2) = mass of CH4 (Mt)

    % mass(3) = mass of N2O (Mt)

global Concentration EM

mass = zeros (3, 1);    



for t2 = 1:1:time2

    u2 = time2 - t2 + 1;



    % CH4 Emission

	mass(2) = mass(2) + EM(2, t2) * Concentration(2, u2);

        

	% CH4 Emission converted to CO2

	m_convert = EM(2, t2) * (1 - Concentration(2, u2));

    

    % CO2 Emission

	mass(1) = mass(1) + (EM(1, t2) + m_convert) * Concentration(1, u2);

	

    % N2O Emission

    mass(3) = mass(3) + EM(3, t2) * Concentration(3, u2);

end

end